@import "_colors";
@import "_layers";
@import "_responsive";

.parallax {
  overflow: hidden;
  position: absolute;
  @include layer(parallax);
  top: 142px;
  left: 0;
  width: 100%;
  height: 558px;
  background: $def-white;
  overflow-x: hidden;
  @media (max-width: $big-screen) {
    top: 40px;
    height: 438px;
  }
  @media (max-width: $small-screen) {
    top: -100px;
  }
  .layer {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background-size: contain;
    background-repeat: no-repeat;
    @media (max-width: $small-screen) {
      background-size: 200%;
      transform: scale(1.5) translate(15%, -10px);
    }
    &.layer-1 {
      background-image: url("/assets/images/parallax/layer-1.svg");
    }
    &.layer-2 {
      background-image: url("/assets/images/parallax/layer-2.svg");
    }
    &.layer-3 {
      background-image: url("/assets/images/parallax/layer-3.svg");
    }
    &.layer-4 {
      background-image: url("/assets/images/parallax/layer-4.svg");
    }
    &.layer-5 {
      background-image: url("/assets/images/parallax/layer-5.svg");
    }
    &.layer-6 {
      background-image: url("/assets/images/parallax/layer-6.svg");
    }
  }
}
